Skip to main content
POST
/
notifications
Create a notification
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyId": "<string>",
  "channel": "email",
  "templateCode": "<string>",
  "subject": "<string>",
  "personalization": {},
  "sendAt": "2023-11-07T05:31:56Z"
}
'
{
  "notificationId": "ntf_01JQ9MX3MVNJE4FKFZC14C68GJ",
  "partyId": "<string>",
  "channel": "email",
  "templateCode": "LOAN.APPLICATION.SUBMITTED",
  "status": "queued",
  "subject": "Your application has been received",
  "createdAt": "2023-11-07T05:31:56Z",
  "deliveredAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
partyId
string
required
channel
enum<string>
required
Available options:
email,
sms,
push,
secure-message
templateCode
string
required
subject
string
personalization
object
sendAt
string<date-time>

Response

Notification created

notificationId
string
Example:

"ntf_01JQ9MX3MVNJE4FKFZC14C68GJ"

partyId
string
channel
enum<string>
Available options:
email,
sms,
push,
secure-message
templateCode
string
Example:

"LOAN.APPLICATION.SUBMITTED"

status
enum<string>
Available options:
queued,
accepted,
sent,
delivered,
failed,
suppressed
subject
string
Example:

"Your application has been received"

createdAt
string<date-time>
deliveredAt
string<date-time>